Package com.smartgwt.client.widgets.calendar

# Class HeaderLevelHoverCustomizer

java.lang.Object
com.smartgwt.client.widgets.calendar.HeaderLevelHoverCustomizer

public abstract class HeaderLevelHoverCustomizer extends Object
Called to determine the hover text for a given span in a HeaderLevel in Timeline views

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderLevelHoverCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Calendar`
  `getCalendar()`
  Returns the Calendar over which the hover occurred
  `abstract String`
  `getHoverHTML(HeaderLevel headerLevel, Date startDate, Date endDate, String defaultValue, CalendarView view)`
  getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given span in the HeaderLevel
  `void`
  `setCalendar(Calendar calendar)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderLevelHoverCustomizer

    public HeaderLevelHoverCustomizer()

- ## Method Details

  - ### setCalendar

    public void setCalendar(Calendar calendar)

  - ### getCalendar

    public Calendar getCalendar()
    Returns the Calendar over which the hover occurred
    Returns:
      Calendar over which the hover occurred

  - ### getHoverHTML

    public abstract String getHoverHTML(HeaderLevel headerLevel, Date startDate, Date endDate, String defaultValue, CalendarView view)
    getHoverHTML() should be implemented and return the string of HTML to display in the hover for a given span in the HeaderLevel
    Parameters:
      `headerLevel` - HeaderLevel a reference to this headerLevel
      `startDate` - Date the start of the date-range covered by this span in this level
      `endDate` - Date the end of the date-range covered by this span in this level - may be null
      `defaultValue` - String the default title as generated by the Timeline
      `calendarView` - CalendarView a reference to the calendarView this headerLevel is in
    Returns:
      String The formatted hover text for the values passed in